Game list isn't reliable if DLCs are present in game path(s)
Description

I usually put DLC files of the games | have installed under the same root folder (which | have added as a game path in Cemu). The
problem is that the game list scanning mechanism isn't able to distinguish folder trees that contain only DLC data from ones that
contain game data.

In my case, | have the following folder structure:

Games root
|- BotW Game data
|- Extras

|- BotW DLC data

In the screenshot attached you can see two things that can happen in this scenario: either the BotW entry is displayed incorrectly
(without icon) or two entries can be seen, which both point at DLC's code folder.
Currently, the only solution for me is to add every game data folder to the game paths.

History

#1 - 01/29/2020 08:35 AM - Zalnor

- Status changed from New to Closed

It is recomended that you do not store update data or DLC data along with your base games, Cemu does try to check what is what if this does
happen, but isnt reliable because the meta data of some base games and its udpate/dic is the same.

#2 - 02/01/2020 01:21 PM - Fs00

Why should this be closed? The behavior in the scenario | described is clearly undefined and buggy, and therefore implies a bug that needs to be
solved in some way (it also could happen in other circumstances, e.g. when in game path there are two copies of the same game).
| propose two solutions:

e to distinguish games from DLCs, the emulator could check for the presence of an .rpx file in code subfolder
e if the former isn't feasible for some reason, the emulator should warn the user and behave consistently and clearly

Please consider to keep this issue open.

#3 - 02/01/2020 02:24 PM - Zalnor

Cemu could probably detect if there is a rpx file or not in the given folder to detect DLC, but when dealing with game data and DLC you also have to
consider update data also, witch like the base game data will have a rpx as well. This is why cemu uses the meta data to try to determine what's the
base game and what's a update/dic.

some games ship their update and DLC with the same meta file as the base game and even potentially the same rpx file, so this solution doesn't work
for everything.

As far as | know there is no guaranteed way to determine the difference between these, that's why we don't recommend having update data or DLC in
your base game folder.

| will leave it up to the two devs to re open this issue if they see fit.
